Bug 1479882 - vm_retire_extend references vm.retirement which does not exist anymore, causing crash
vm_retire_extend references vm.retirement which does not exist anymore, causi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: William Fitzgerald
Landon LaSmith
: TestOnly, ZStream
Depends On:
Blocks: 1480734 1480736
  Show dependency treegraph
 
Reported: 2017-08-09 11:57 EDT by Jeff Warnica
Modified: 2018-03-06 10:14 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1480734 1480736 (view as bug list)
Environment:
Last Closed: 2018-03-06 10:14:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Warnica 2017-08-09 11:57:30 EDT
Per summary, in both Cloud and Infrastructure, the vm_retire_extend method references vm.retirement which does not exist, causing a stack dump.
Comment 5 William Fitzgerald 2017-08-11 12:16:01 EDT
This PR https://github.com/ManageIQ/manageiq/pull/15790 will fix the problem on the 5.7 release.  I was able to re-create the problem (on 5.7) and this PR fixes it on 5.7.

This PR https://github.com/ManageIQ/manageiq-content/pull/94 will fix the problem on the 5.8 release.  I created this PR before the bug was known so I have added the labels fine/yes and bug to this PR which fixes this on 5.8.

Please let me know if anyone has any questions.

Thanks

Billy
Comment 8 Landon LaSmith 2017-10-27 11:40:42 EDT
VERIFIED. I was able to create a VM and Instance button that call vm_retire_extend and successfully extend the retirement days by the default time period 

Version: 5.9.0.4.20171024163837_ef71ea6

Note You need to log in before you can comment on or make changes to this bug.